package main

/*

most of this file can be generated by:

1. visiting https://raw.githubusercontent.com/elm/svg/1.0.1/src/Svg/Attributes.elm
2. running this snippet:

[...document.body.firstChild.innerHTML.matchAll(/^(.*) =\n  Elm.Kernel.VirtualDom.attribute "(.*)"/gm)]
  .map(([_, lhs, rhs]) => `\t"${lhs}" = "${rhs}",`)
  .join("\n")

if using firefox, you'll need to remove the backlashes from the string.
chrome doesn't have this problem

*/

attrs := map[string]string {
	"accent-height" = "accentHeight",
	"accelerate" = "accelerate",
	"accumulate" = "accumulate",
	"additive" = "additive",
	"alphabetic" = "alphabetic",
	"allowReorder" = "allowReorder",
	"amplitude" = "amplitude",
	"arabic-form" = "arabicForm",
	"ascent" = "ascent",
	"attributeName" = "attributeName",
	"attributeType" = "attributeType",
	"autoReverse" = "autoReverse",
	"azimuth" = "azimuth",
	"baseFrequency" = "baseFrequency",
	"baseProfile" = "baseProfile",
	"bbox" = "bbox",
	"begin" = "begin",
	"bias" = "bias",
	"by" = "by value",
	"calcMode" = "calcMode",
	"cap-height" = "capHeight",
	"class" = "class",
	"clipPathUnits" = "clipPathUnits",
	"contentScriptType" = "contentScriptType",
	"contentStyleType" = "contentStyleType",
	"cx" = "cx",
	"cy" = "cy",
	"d" = "d",
	"decelerate" = "decelerate",
	"descent" = "descent",
	"diffuseConstant" = "diffuseConstant",
	"divisor" = "divisor",
	"dur" = "dur",
	"dx" = "dx",
	"dy" = "dy",
	"edgeMode" = "edgeMode",
	"elevation" = "elevation",
	"end" = "end",
	"exponent" = "exponent",
	"externalResourcesRequired" = "externalResourcesRequired",
	"filterRes" = "filterRes",
	"filterUnits" = "filterUnits",
	"format" = "format",
	"from" = "from value",
	"fx" = "fx",
	"fy" = "fy",
	"g1" = "g1",
	"g2" = "g2",
	"glyph-name" = "glyphName",
	"glyphRef" = "glyphRef",
	"gradientTransform" = "gradientTransform",
	"gradientUnits" = "gradientUnits",
	"hanging" = "hanging",
	"height" = "height",
	"horiz-adv-x" = "horizAdvX",
	"horiz-origin-x" = "horizOriginX",
	"horiz-origin-y" = "horizOriginY",
	"id" = "id",
	"ideographic" = "ideographic",
	"in" = "in_",
	"in2" = "in2",
	"intercept" = "intercept",
	"k" = "k",
	"k1" = "k1",
	"k2" = "k2",
	"k3" = "k3",
	"k4" = "k4",
	"kernelMatrix" = "kernelMatrix",
	"kernelUnitLength" = "kernelUnitLength",
	"keyPoints" = "keyPoints",
	"keySplines" = "keySplines",
	"keyTimes" = "keyTimes",
	"lang" = "lang",
	"lengthAdjust" = "lengthAdjust",
	"limitingConeAngle" = "limitingConeAngle",
	"local" = "local",
	"markerHeight" = "markerHeight",
	"markerUnits" = "markerUnits",
	"markerWidth" = "markerWidth",
	"maskContentUnits" = "maskContentUnits",
	"maskUnits" = "maskUnits",
	"mathematical" = "mathematical",
	"max" = "max",
	"media" = "media",
	"method" = "method",
	"min" = "min",
	"mode" = "mode",
	"name" = "name",
	"numOctaves" = "numOctaves",
	"offset" = "offset",
	"operator" = "operator",
	"order" = "order",
	"orient" = "orient",
	"orientation" = "orientation",
	"origin" = "origin",
	"overline-position" = "overlinePosition",
	"overline-thickness" = "overlineThickness",
	"panose-1" = "panose1",
	"path" = "path",
	"pathLength" = "pathLength",
	"patternContentUnits" = "patternContentUnits",
	"patternTransform" = "patternTransform",
	"patternUnits" = "patternUnits",
	"point-order" = "pointOrder",
	"points" = "points",
	"pointsAtX" = "pointsAtX",
	"pointsAtY" = "pointsAtY",
	"pointsAtZ" = "pointsAtZ",
	"preserveAlpha" = "preserveAlpha",
	"preserveAspectRatio" = "preserveAspectRatio",
	"primitiveUnits" = "primitiveUnits",
	"r" = "r",
	"radius" = "radius",
	"refX" = "refX",
	"refY" = "refY",
	"rendering-intent" = "renderingIntent",
	"repeatCount" = "repeatCount",
	"repeatDur" = "repeatDur",
	"requiredExtensions" = "requiredExtensions",
	"requiredFeatures" = "requiredFeatures",
	"restart" = "restart",
	"result" = "result",
	"rotate" = "rotate",
	"rx" = "rx",
	"ry" = "ry",
	"scale" = "scale",
	"seed" = "seed",
	"slope" = "slope",
	"spacing" = "spacing",
	"specularConstant" = "specularConstant",
	"specularExponent" = "specularExponent",
	"speed" = "speed",
	"spreadMethod" = "spreadMethod",
	"startOffset" = "startOffset",
	"stdDeviation" = "stdDeviation",
	"stemh" = "stemh",
	"stemv" = "stemv",
	"stitchTiles" = "stitchTiles",
	"strikethrough-position" = "strikethroughPosition",
	"strikethrough-thickness" = "strikethroughThickness",
	"string" = "string",
	"style" = "style",
	"surfaceScale" = "surfaceScale",
	"systemLanguage" = "systemLanguage",
	"tableValues" = "tableValues",
	"target" = "target",
	"targetX" = "targetX",
	"targetY" = "targetY",
	"textLength" = "textLength",
	"title" = "title",
	"to" = "to value",
	"transform" = "transform",
	"type" = "type_",
	"u1" = "u1",
	"u2" = "u2",
	"underline-position" = "underlinePosition",
	"underline-thickness" = "underlineThickness",
	"unicode" = "unicode",
	"unicode-range" = "unicodeRange",
	"units-per-em" = "unitsPerEm",
	"v-alphabetic" = "vAlphabetic",
	"v-hanging" = "vHanging",
	"v-ideographic" = "vIdeographic",
	"v-mathematical" = "vMathematical",
	"values" = "values value",
	"version" = "version",
	"vert-adv-y" = "vertAdvY",
	"vert-origin-x" = "vertOriginX",
	"vert-origin-y" = "vertOriginY",
	"viewBox" = "viewBox",
	"viewTarget" = "viewTarget",
	"width" = "width",
	"widths" = "widths",
	"x" = "x",
	"x-height" = "xHeight",
	"x1" = "x1",
	"x2" = "x2",
	"xChannelSelector" = "xChannelSelector",
	"y" = "y",
	"y1" = "y1",
	"y2" = "y2",
	"yChannelSelector" = "yChannelSelector",
	"z" = "z",
	"zoomAndPan" = "zoomAndPan",
	"alignment-baseline" = "alignmentBaseline",
	"baseline-shift" = "baselineShift",
	"clip-path" = "clipPath",
	"clip-rule" = "clipRule",
	"clip" = "clip",
	"color-interpolation-filters" = "colorInterpolationFilters",
	"color-interpolation" = "colorInterpolation",
	"color-profile" = "colorProfile",
	"color-rendering" = "colorRendering",
	"color" = "color",
	"cursor" = "cursor",
	"direction" = "direction",
	"display" = "display",
	"dominant-baseline" = "dominantBaseline",
	"enable-background" = "enableBackground",
	"fill-opacity" = "fillOpacity",
	"fill-rule" = "fillRule",
	"fill" = "fill",
	"filter" = "filter",
	"flood-color" = "floodColor",
	"flood-opacity" = "floodOpacity",
	"font-family" = "fontFamily",
	"font-size-adjust" = "fontSizeAdjust",
	"font-size" = "fontSize",
	"font-stretch" = "fontStretch",
	"font-style" = "fontStyle",
	"font-variant" = "fontVariant",
	"font-weight" = "fontWeight",
	"glyph-orientation-horizontal" = "glyphOrientationHorizontal",
	"glyph-orientation-vertical" = "glyphOrientationVertical",
	"image-rendering" = "imageRendering",
	"kerning" = "kerning",
	"letter-spacing" = "letterSpacing",
	"lighting-color" = "lightingColor",
	"marker-end" = "markerEnd",
	"marker-mid" = "markerMid",
	"marker-start" = "markerStart",
	"mask" = "mask",
	"opacity" = "opacity",
	"overflow" = "overflow",
	"pointer-events" = "pointerEvents",
	"shape-rendering" = "shapeRendering",
	"stop-color" = "stopColor",
	"stop-opacity" = "stopOpacity",
	"stroke-dasharray" = "strokeDasharray",
	"stroke-dashoffset" = "strokeDashoffset",
	"stroke-linecap" = "strokeLinecap",
	"stroke-linejoin" = "strokeLinejoin",
	"stroke-miterlimit" = "strokeMiterlimit",
	"stroke-opacity" = "strokeOpacity",
	"stroke-width" = "strokeWidth",
	"stroke" = "stroke",
	"text-anchor" = "textAnchor",
	"text-decoration" = "textDecoration",
	"text-rendering" = "textRendering",
	"unicode-bidi" = "unicodeBidi",
	"visibility" = "visibility",
	"word-spacing" = "wordSpacing",
	"writing-mode" = "writingMode",
}
